Inhalte
Index 🔎︎

# Funktion CDateToIso

Gibt aus einem seriellen Datum, das durch die Funktionen DateSerial, DateValue oder CDateFromIso erzeugt wurde, das Datum im ISO-Format ohne Separatoren in der Form YYYYMMDD zurück.

Die Jahreszahl besteht mindestens aus vier Ziffern mit führenden Nullen, falls der Betrag kleiner als 1000 ist, sie kann mit einem vorangestellten Minuszeichen negativ sein, falls das übergebene Datum in einem Jahr vor unserer Zeitrechnung (BC) liegt, und kann mehr als vier Ziffern haben, falls der Betrag größer als 9999 ist. Die zurückgegebene formatierte Zeichenkette kann im Bereich von "-327680101" bis "327680101" liegen.

Jahreszahlen kleiner als 100 und größer als 9999 werden seit LibreOffice 5.4 unterstützt.

## Syntax:

    CDateToIso(Zahl)

## Rückgabewert:

String

## Parameter:

Zahl: Ganzzahliger numerischer Ausdruck, der die fortlaufende Datumszahl enthält.

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleCDateToIso
        MsgBox "" & CDateToIso(Now) ,64,"Das ISO-Datum"
    End Sub